Updated: 2014-10-01 Due date:
Subject: Case sensitive search
Description

Page structure and link search seem to be case sensitive.
Match case could be optional.

History
#1 - 2014-04-14 16:17 - Christian Müller

Just had a look at that and it's pretty difficult right now. Properties are stored as BLOB (that means binary for the DB). Being binary again means that
LIKE queries will be case sensitive. Using a LOWER expression on the properties field and the search term isn't enough as MySQL at least would
require you to CONVERT the text prior to lowercasing (and then the lowercasing is unnecessary). But CONVERT is not a function offered by Doctrine
(LOWER is) so this is not an option. Changing the field type of the properties field from BLOB to TEXT works quite well in combination with LOWER,
but that again is against Doctrines "objectarray" type. We still could do this to allow this kind of queries.

#2 - 2014-10-01 15:14 - Markus Goldbeck
- Assigned To set to Markus Goldbeck

#3 - 2014-10-01 15:18 - Markus Goldbeck
- Status changed from New to Closed

This task was moved to https://jira.typo3.org/browse/NEOS-476
